44,969 repositories keep their own agent configuration in the open: a CLAUDE.md, a rules file, instructions for Copilot, a skill the project runs on itself. These are not mods to install. They are worth reading for what they reveal — what a maintainer thinks an agent gets wrong.
Building agents8,530Claude Code6,887Git and workflow3,618Data and AI3,582Backend and APIs3,558Languages3,485Planning3,325Code review2,903Testing2,691DevOps and cloud2,482Writing and docs2,481Memory and context2,373Research2,322Frontend2,310Security2,179Project management1,971
All Claude Code32,523 Codex24,842 OpenCode23,761 GitHub Copilot3,723 Gemini CLI2,038 Cursor1,771 Windsurf201 Kiro116
| Project | Stars | Configures | Files | Always loaded |
|---|---|---|---|---|
| felesh-ai/arshai A powerful AI application framework built on clean architecture principles with complete d | 24 | Claude Code, Codex, OpenCode | 2 | 4,966 tok |
| ridafkih/lab13 A multiplayer open-source background agent inspired by Ramp Inspect, powered by Docker, Cl | 24 | Claude Code | 2 | — |
| celesnity/Embinder celesnity.com Embinder makes the agent a resident of the app. Turn every traditional platform to AI-nati | 24 | Claude Code, Codex, GitHub Copilot, OpenCode | 3 | 2,247 tok |
| terret-org/terret terret.org Ruby-native, model-agnostic agent harness where everything is a plugin | 24 | Claude Code | 1 | 2,643 tok |
| benhowdle89/matinee Staged cursor performances for React. A programmable ghost cursor that moves, clicks, type | 24 | Claude Code | 1 | — |
| dpaul0501/panini | 24 | Claude Code | 1 | 74 tok |
| sinaptia/detritus | 24 | Codex, OpenCode | 1 | 263 tok |
| elev8tion/zeroclaw Zero overhead. Zero compromise. 100% Rust. Autonomous agent runtime. | 24 | Claude Code, Codex, OpenCode | 2 | 9,431 tok |
| bg-vc/vc-gin-api SIMPLE — A small, practical Gin API for people learning or moving to Go. | 24 | Codex, OpenCode | 2 | 297 tok |
| lightsound/tanstack-start-start | 24 | Codex, OpenCode | 1 | 593 tok |
| zian10001/codex-frontend-visual-handoff | 24 | Codex, OpenCode | 1 | 394 tok |
| HypoxanthineOvO/Hypo-Workflow Serialized prompt execution engine for AI agents — TDD pipeline, self-review, interrupt re | 24 | Codex, OpenCode | 1 | 1,705 tok |
| VectorPeak/LLM-Wiki A structured knowledge base for large language model technologies, covering LLMs, Agents, | 24 | Codex, OpenCode | 1 | 3,809 tok |
| CheshireMew/visual-multimedia | 24 | Codex, OpenCode | 1 | 1,876 tok |
| fifeqqs1/MortyClaw A transparent, controllable local engineering Agent system with memory and sub-Agent orche | 24 | Claude Code, Codex | 8 | — |
| lynnlangit/precision-medicine-mcp Precision Medicine MCP Platform: A set of bioinformatics servers + tools - production mult | 24 | Claude Code | 2 | 1,744 tok |
| cpage-pivotal/cf-mcp-client Tanzu Platform Chat | 24 | Claude Code | 1 | 2,320 tok |
| ldclabs/cose 📧 Implemented Keys, Algorithms (RFC9053), COSE (RFC9052) and CWT (RFC8392) in Go. | 24 | Codex, OpenCode | 1 | 1,386 tok |
| lucascherzer/iron iron - P2P mesh network based on iroh | 24 | Codex, GitHub Copilot, OpenCode | 2 | 1,354 tok |
| orchestre-dev/ccproxy | 24 | Claude Code | 6 | 3,327 tok |
| gsong/ccmcp A CLI tool that intelligently discovers, validates, and selects MCP (Model Context Protoco | 24 | Claude Code | 3 | — |
| hampsterx/async-kinesis Asyncio Client for AWS Kinesis | 24 | Codex, OpenCode | 1 | 1,777 tok |
| WPCursor/elementor-mcp | 24 | Claude Code | 1 | — |
| oculus-samples/Unity-MetaXRInteractionSDK-AvatarSample This repository provides a comprehensive sample project showcasing the integration of Meta | 24 | Claude Code, Codex, GitHub Copilot, Gemini CLI, OpenCode | 6 | 1,027 tok |
| goncalossilva/.agents Gonçalo's instructions and skills for agents | 24 | Codex, OpenCode | 1 | 566 tok |
| Manikantareddy941-hash/Scorpion | 24 | Claude Code, Codex | 20 | 1,282 tok |
| vtex-apps/search-result VTEX Search Result app | 24 | Claude Code, Codex, GitHub Copilot, OpenCode | 3 | 3,920 tok |
| contentful/contentful-sdk-core Core modules for the Contentful JS SDKs | 24 | Codex, OpenCode | 1 | 718 tok |
| simongu20070911/quantitative-pricing-agents | 24 | Codex, OpenCode | 1 | 1,632 tok |
| Atipico1/prettify-codex | 24 | Codex, OpenCode | 1 | 312 tok |
| L33Z22L11/ExamClock exam.thisis.host A simple clock for exam. | 24 | Codex, OpenCode | 1 | 1,854 tok |
| shuruheel/mcp-engram A sophisticated knowledge graph memory system that stores interconnected information with | 24 | Claude Code | 1 | 998 tok |
| sakiladb/mysql MySQL docker image preloaded with the Sakila example database | 24 | Claude Code | 1 | 3,522 tok |
| procmeans/ChineseMittenCrab Chinese mitten crab | 24 | Claude Code | 1 | 1,486 tok |
| NicolasRibeiro-Red/stark-mansion-clones Sistema de Clonagem Cognitiva — 39 clones IA de pensadores, copywriters e marketers lendár | 24 | Claude Code | 1 | 6,309 tok |
| SShadowS/tree-sitter-al Tree-sitter parser for AL | 24 | Claude Code | 13 | 5,291 tok |
| HarleyCoops/OneShotAquaRAT One click away from a locally downloaded, fine-tuned model, hosted on hugging face, with i | 24 | Claude Code | 1 | 1,969 tok |
| daje0601/Obsidian-RAG Obsidian-RAG created by Andrej Karpathy | 24 | Claude Code | 1 | 396 tok |
| TeKrop/shooting-stars-meme-generator shooting-stars.tekrop.fr 🐶 Shooting Stars Meme Generator using CSS animations, use your own images and have fun ! | 24 | Claude Code | 1 | 2,928 tok |
| jmccardle/McRogueFace A Roguelike Game Engine | 24 | Claude Code | 1 | 13,682 tok |
| GravityKit/MCP gravitykit.com MCP server for Gravity Forms - Interact with WordPress forms, entries, and submissions thr | 24 | Claude Code, Codex, OpenCode | 2 | 11,331 tok |
| stat-guy/retrieval-augmented-thinking MCP server for retrieval augmented thinking and problem solving | 24 | Claude Code | 1 | 1,253 tok |
| BigSweetPotatoStudio/hyper-mcp-terminal | 24 | Claude Code | 1 | 1,197 tok |
| nociza/cuti Container and workplace isolation for Claude Code and OpenClaw. Safely skip all permission | 24 | Claude Code, Codex, OpenCode | 8 | 720 tok |
| sgx-labs/statelessagent statelessagent.com Your AI forgets everything between sessions. SAME fixes that. Local-first, no API keys, si | 24 | Claude Code, Codex, OpenCode | 3 | 2,094 tok |
| itsmostafa/llm-engineering-skills LLM Engineering Claude Skills | 24 | Claude Code | 1 | 524 tok |
| chigichan24/crune Decipher the traces etched in past sessions and resurrect them as reusable skills. crune i | 24 | Claude Code | 1 | 4,482 tok |
| lukas-grigis/ralphctl npmjs.com A ralph harness for long-running AI coding tasks — a generator-evaluator loop that drives | 24 | Claude Code | 18 | 2,657 tok |
| beycom/onetool-mcp onetool.beycom.online 🧿 One MCP for developers - no tool tax, no context rot. 100+ tools including Brave, Googl | 24 | Codex, OpenCode | 1 | 795 tok |
| signalridge/slipway signalridge.github.io User-invoked soft autopilot for recoverable, issue-driven AI coding workflows | 24 | Claude Code, Codex, OpenCode | 2 | 571 tok |